Patch Permission Boundary

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Patches the specified permission boundary.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
permission-boundary:updateApplicationThe subject can update permission boundaries under the application to which the subject is associated.
Path Params
string
required
length between 1 and 26

The Id of the permission boundary

Body Params

Permission boundary patch request adhering to the JSON Merge Patch specification.

Permission Boundary

string
enum
length between 1 and 30

[Required on Create] The type of the owner of the resource.

Allowed:
string
length between 1 and 26

[Required on Create] The ID of the owner of the resource.

string
enum
length between 1 and 45

[Required on Create] Enum representing the permission boundary type.

  • PREDEFINED: [Read-only] A predefined permission boundary. These permission boundaries are created by Wristband.
  • CUSTOM: A custom permission boundary that was created by an end user.
  • TENANT_INCLUSION_LIST: The boundary consists of all tenants in the resource list. (For multi-tenant apps only)
  • TENANT_EXCLUSION_LIST: The boundary consists of all tenants under an application not specified in the resource list. (For multi-tenant apps only)
Allowed:
string
length between 1 and 40
^[a-zA-Z0-9]+(-+[a-zA-Z0-9]+)*$

[Required on Create] The name of the permission boundary. Name must be unique (case-insensitive) within an application.
Predefined boundary names are prefixed with predefined:. Non-predefined, application-level boundary names are prefixed with app:<app_domain_name>:name.

string
length between 1 and 60

[Required on Create] The display name of the permission boundary.

string
length between 1 and 200

The value of the role boundary. This value must be unique (case-insensitive) per application and adhere to the following constraints:

  • Value is required when the type is either PREDEFINED OR CUSTOM.
  • Value must be null when the type is either TENANT_INCLUSION_LIST or TENANT_EXCLUSION_LIST.
  • For the PREDEFINED type, the value must be one of APPLICATION, TENANT, or SELF.
  • For the CUSTOM type, the value can be anything.
string
length between 1 and 500

Optional description of the permission boundary.

resourceList
array of strings
length ≤ 10

The list of resources that comprise the permission boundary. The list can be empty for TENANT_INCLUSION_LIST and TENANT_EXCLUSION_LIST types, but it must be empty for all other types.

resourceList
string
enum
length between 1 and 45

[Required on Create] Enum representing the tenants that this permission boundary should be visible to.

  • ALL: The permission boundary is visible to all tenants, and it can be assigned to any tenant-owned role or permission group. Useful for application boundaries that can be assigned to tenant-owned roles or permission groups.
  • NONE: The permission boundary is not visible to any tenants, and it cannot be assigned to any tenant-owned roles or permission groups. Useful for internal application boundaries that tenants should not be aware of.
Allowed:
Headers
string
length ≥ 1

Used to perform a conditional update

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json